<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_8cca4dd34e20c5344bb2a" . "30f2533c4e5" => base64_decode("ZnV" . "sbF" . "9uY" . "W1l"), "user_i" . "d" => base64_decode("dXNlc" . "l9pZA" . "=="), "_baec81a782bb3d538149a9225688246" . "e" => base64_decode("ZXZlbnRf" . "c291cmNl"), "_28c85ce81fee6" . "532980262893b6" . "f2425" => base64_decode("dXNlcm5" . "hbWU="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["user_" . "id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8cca4dd34e20" . "c5344bb2a30f2" . "533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_28c85ce81fee6532980262893b6" . "f2425"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_baec81a782" . "bb3d538149a" . "9225688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}